Subject: bug#54237: Disabling `scroll-bar-mode' fails when setting `default-frame-alist'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Mar 2022 15:55:40 +0100

Tor Kringeland <[email-masked]> writes:

>   emacs -Q --daemon -l test.el
>
> where the content of test.el is
>
>   (scroll-bar-mode -1)
>   (setq default-frame-alist '((cursor-color . "#007fff")))
>
> fails to disable `scroll-bar-mode'.  When opening an Emacs client, I
> have to toggle `scroll-bar-mode' two times to disable it.  The first
> time it is "enabled" again (no visible change) and the second time it's
> disabled.  The problem disappears if I remove the second line.
>
> I'm using Emacs 29 built from master earlier today.

`scroll-bar-mode' disables itself by altering default-frame-alist, so I
think what you're seeing is predictable?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no